export interface PermissionsModel {
    idpermiso: number,
    plataforma: string,
    id_chatbot: number,
    iduser: number,
    reenviar_archivos: boolean,
    adjuntar_archivos: boolean,
    envia_emojis: boolean,
    envia_voz: boolean,
    boton_link: boolean,
    crear_contacto: boolean,
    crea_agenda: boolean,
    crea_agenda_email: boolean,
    crea_agenda_ciudad: boolean,
    crea_agenda_direccion: boolean,
    crea_agenda_telefono: boolean,
    crea_agenda_status: boolean,
    crea_agenda_campo1: boolean,
    crea_agenda_campo2: boolean,
    crea_agenda_campo3: boolean,
    sonido: number,
    activo: boolean,
    enter: boolean,
    unicamente_transferencias: boolean,
    calendar: boolean,
    biblioteca: boolean,
    biblioteca_recurso: boolean,
}

export default function PermissionsValue(): PermissionsModel {
    return {
        idpermiso: 0,
        plataforma: '',
        id_chatbot: 0,
        iduser: 0,
        reenviar_archivos: false,
        adjuntar_archivos: false,
        envia_emojis: false,
        envia_voz: false,
        boton_link: false,
        crear_contacto: false,
        crea_agenda: false,
        crea_agenda_email: false,
        crea_agenda_ciudad: false,
        crea_agenda_direccion: false,
        crea_agenda_telefono: false,
        crea_agenda_status: false,
        crea_agenda_campo1: false,
        crea_agenda_campo2: false,
        crea_agenda_campo3: false,
        sonido: 1,
        activo: false,
        enter: false,
        unicamente_transferencias: false,
        calendar: false,
        biblioteca: false,
        biblioteca_recurso: false
    }
}

export function setPermissionsValue(values : any): PermissionsModel {
    return {
        idpermiso: parseInt(values.idpermiso),
        plataforma: values.plataforma,
        id_chatbot: values.id_chatbot,
        iduser: values.iduser,
        reenviar_archivos: values.reenviar_archivos == 1 ? true : false,
        adjuntar_archivos: values.adjuntar_archivos == 1 ? true : false,
        envia_emojis: values.envia_emojis == 1 ? true : false,
        envia_voz: values.envia_voz == 1 ? true : false,
        boton_link: values.boton_link == 1 ? true : false,
        crear_contacto: values.crear_contacto == 1 ? true : false,
        crea_agenda: values.crea_agenda == 1 ? true : false,
        crea_agenda_email: values.crea_agenda_email == 1 ? true : false,
        crea_agenda_ciudad: values.crea_agenda_ciudad == 1 ? true : false,
        crea_agenda_direccion: values.crea_agenda_direccion == 1 ? true : false,
        crea_agenda_telefono: values.crea_agenda_telefono == 1 ? true : false,
        crea_agenda_status: values.crea_agenda_status == 1 ? true : false,
        crea_agenda_campo1: values.crea_agenda_campo1 == 1 ? true : false,
        crea_agenda_campo2: values.crea_agenda_campo2 == 1 ? true : false,
        crea_agenda_campo3: values.crea_agenda_campo3 == 1 ? true : false,
        sonido: parseInt(values.sonido),
        activo: values.activo == 1 ? true : false,
        enter: values.enter == 1 ? true : false,
        unicamente_transferencias: values.unicamente_transferencias == 1 ? true : false,
        calendar: values.calendar == 1 ? true : false,
        biblioteca: values.biblioteca == 1 ? true : false,
        biblioteca_recurso: values.biblioteca_recurso == 1 ? true : false
    }
}